Package wx :: Class PropagateOnce

[frames | no frames]

## Type PropagateOnce

    object --+
             |
            PropagateOnce

A helper class that will temporarily lower propagation level of an event. Simply create an instance of this class and then whe it is destroyed the propogation of the event will be restored.

Method Summary
PropagateOnce | ``__init__`(self, event)` A helper class that will temporarily lower propagation level of an event.
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, event)
(Constructor)

A helper class that will temporarily lower propagation level of an event. Simply create an instance of this class and then whe it is destroyed the propogation of the event will be restored.

  Parameters:
    `event`
    (type=Event)

  Returns:
    PropagateOnce
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:02 2007 | http://epydoc.sf.net